#ifndef __MAIN_WIDGET_H_
#define __MAIN_WIDGET_H_


#include <stdio.h>
#include <regex.h>
#include <qlistview.h>
#include <qpushbutton.h>
#include <qradiobutton.h>
#include <qmessagebox.h>
#include <qstring.h>
#include <qpe/global.h>
#include <qpe/resource.h>
#include <sl/sldlgwait.h>
#include "mainWidgetBase.h"
#include "usbdConfig.h"



//#define CMD_FDISK	"sudo /sbin/fdisk -l %s"
#define CMD_FDISK	"/sbin/fdisk -l %s"

#define REGEXP_DISK	"([0-9]+) heads, ([0-9]+) sectors[^,]*, ([0-9]+) cylinders"
#define REGEXP_PART	"([^ ]+) +[* ]? +[0-9]+ +[0-9]+ +([0-9]+)[+]? +[0-9A-Fa-f]+ +([^\r\n]*)"



// Storage description structure
struct Storage {
    char *name;
    char *device;
    char *pixmap;
};



// 
class mainWidget : public mainWidgetBase {
    Q_OBJECT

public:
    mainWidget(QWidget* parent = 0, const char* name = 0, WFlags fl = 0 );

private:
    usbdConfig config;
    int loadPartitions();

private slots:
    void accept();

    void selectPCLink(int n);
    void selectStorage(int n);
    void launchPCLink();
    void selectDevice(QListViewItem *item);
};



#endif
